<!--
 Copyright (c) 2014, 2017, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
 
<section id="main" class="wrapper">
	<div class="inner">
		<header class="align-left">
			<h1><img src="./images/list.png" width="32px" height="32px" style="vertical-align: middle;"/>
			Approve Pending FX Request</h1>
			
		</header>
		
		<div class="row">
			<div class="12u$ 12u$(medium)">
				&nbsp;<br/>
			</div>
			<div class="12u$ 12u$(medium)">
				<div class="row uniform oj-panel-alt6 oj-panel-shadow-md" style="margin-bottom:10px;">
					<div class="12u$ 12u$(medium)">
					<h4>Request Details</h4>
					<hr width="95%"/>
					</div>
					<div class="4u 12u$(medium)">
					<strong>Application Number:</strong>&nbsp;
					<span data-bind="text: appNumber"></span>
					</div>
					<div class="4u 12u$(medium)">
					<strong>Form M Number:</strong>&nbsp;
					<span data-bind="text: formMNumber"></span>
					</div>
					<div class="4u$ 12u$(medium)">
					<strong>Requested Amount:</strong>&nbsp;
					<span data-bind="text: requestAmount"></span>
					</div>
					<div class="12u$ 12u$(medium)">
					<hr width="95%"/>
					</div>
					<div class="12u$ 12u$(medium)">
					<strong>Letter details:</strong><br/>
					<span data-bind="text: requestLetter"></span>
					<hr width="95%"/>
					</div>
					<div class="4u 12u$(medium)">
					<strong>Request Date:</strong>&nbsp;
					<span data-bind="text: requestDate"></span>
					</div>
					<div class="4u 12u$(medium)">
					<strong>Created By:</strong>&nbsp;
					<span data-bind="text: creator"></span>
					</div>
					<div class="3u$ 12u$(small)">
						<a href="#" class="button default small fit icon fa-search" data-bind="click: viewFormAction">View Completed Form</a>
					</div>
					<div class="12u$ 12u$(medium)">
					&nbsp;
					</div>
				</div>
			</div>
			<div class="12u$ 12u$(medium)">
				&nbsp;<br/><p>&nbsp;</p>
			</div>
			<div class="12u$ 12u$(medium)">
				<div class="row uniform oj-panel-alt6 oj-panel-shadow-md">
					<div class="4u 12u$(medium)">
					<strong class='error-message red'>Total Amount:</strong>&nbsp;
					<strong>$<span data-bind="text: totalAmount"></span></strong>
					</div>
					<div class="4u$ 12u$(medium)">
					<strong class='error-message red'>Outstanding Amount:</strong>&nbsp;
					<strong>$<span data-bind="text: outstandingAmount"></span></strong>
					</div>
					<div class="12u$ 12u$(small)">
					<hr width="95%"/>
					</div>
					<div class="12u$ 12u$(small)">
					<h4>Request Details</h4>
					<hr width="95%"/>
					</div>
					<div class="12u$ 12u$(small)">
					<oj-switch id="chkDocumentation" value="{{isDocCorrect}}"></oj-switch>
					<strong>Confirm the documentation is correct and accurate.</strong>
					</div>
					<div class="12u$ 12u$(small)">
					<hr width="95%"/>
					</div>
					<div class="12u$ 12u$(small)">
					<oj-switch id="chkValidity" value="{{isValidity}}"></oj-switch>
					<strong>Confirm the validity date of the Form M and has not expired.</strong>
					</div>
					<div class="12u$ 12u$(small)">
					<hr width="95%"/>
					</div>
					<div class="12u$ 12u$(small)">
					<oj-switch id="chkOutstanding" value="{{isValidOutstanding}}"></oj-switch>
					<strong>Confirm the outstanding amount for the Form M.</strong>
					</div>
					<div class="12u$ 12u$(small)">
					<hr width="95%"/>
					</div>
					<div class="12u$ 12u$(small)">
					<oj-switch id="chkFundAvailable" value="{{isFundAvailable}}"></oj-switch>
					<strong>Confirm fund availability in the account of the customer.</strong>
					</div>
					<div class="12u$ 12u$(small)">
					<hr width="95%"/>
					</div>
					
					<div class="12u$ 12u$(small)">
					<oj-label for="txtComment">Comment</oj-label>
					<oj-text-area id="txtComment" rows="3" style='max-width: 95%; font-size: 12pt;padding-bottom:6px;'></oj-text-area>
					<hr width="95%"/>
					</div>
					
					<div class="12u$ 12u$(small)">
					&nbsp;
					</div>
				</div>
			</div>
			
			<div class="12u$ 12u$(medium)">
			<span id="status"></span>
			</div>
			
			<div class="6u$ 12u$(medium)">
				<div class="row ">
					
					<div class="12u$ 12u$(small)">
						<p></p>
					</div>
					<div class="6u 12u$(small)">
						<a href="#" class="button special fit small" data-bind="click: approveButtonAction">Approve Request</a>
					</div>
					<div class="6u$ 12u$(small)">
						<a href="#" class="button default fit small" data-bind="click: rejectButtonAction">Reject Request</a>
					</div>
				</div>
			</div>
			
		</div>
	</div>
</section>


